Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.schedule.model
Class PlannerEntity

    java.lang.Object
      org.apache.myfaces.custom.schedule.model.PlannerEntity

All Implemented Interfaces:
  java.io.Serializable

public class PlannerEntity
extends java.lang.Object
implements java.io.Serializable

A Planner entity is a person, room, piece of equipment, ... that is displayed as a row in the planner component.

TODO this should be an interface, with a DefaultPlannerEntity implementation

Version:
  $Revision$
Author:
  Jurgen Lust (latest modification by $Author$)
See Also:
  Serialized Form

Constructor Summary
`PlannerEntity(java.lang.String id, java.lang.String name)` Creates a new PlannerEntity object.

Method Summary
`boolean` | `addEntry(ScheduleEntry entry)` Add a schedule entry to this planner entity
`void` | `clear()` Remove all entries
`boolean` | `equals(java.lang.Object o)`
`java.util.TreeSet` | `getEntries()`
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`boolean` | `isEmpty()`
`java.util.Iterator` | `iterator()`
`boolean` | `remove(ScheduleEntry entry)` Remove an entry from this entity
`void` | `setEntries(java.util.TreeSet entries)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlannerEntity

    public PlannerEntity(java.lang.String id,
                         java.lang.String name)

  Creates a new PlannerEntity object.

Parameters:
  `id` - the unique identifier
  `name` - the name

Method Detail

### isEmpty

    public boolean isEmpty()

  Returns:
    true if there are no appointments for this entity

### setEntries

    public void setEntries(java.util.TreeSet entries)

  Parameters:
    `entries` - The entries to set.

### getEntries

    public java.util.TreeSet getEntries()

  Returns:
    Returns the entries.

### getId

    public java.lang.String getId()

  Returns:
    Returns the id.

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### addEntry

    public boolean addEntry(ScheduleEntry entry)

  Add a schedule entry to this planner entity

  Parameters:
    `entry` - the entry to be added
  Returns:
    whether the addition was successful

### clear

    public void clear()

  Remove all entries

### equals

    public boolean equals(java.lang.Object o)

  See Also:
    `Object.equals(java.lang.Object)`

### iterator

    public java.util.Iterator iterator()

  Returns:
    an iterator for the entries

### remove

    public boolean remove(ScheduleEntry entry)

  Remove an entry from this entity

  Parameters:
    `entry` - the entry to be removed
  Returns:
    whether the removal was successful

### size

    public int size()

  Returns:
    the number of entries

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD